Please! Rated 5 out of 5 stars

Dude! I can donate ~15$ for you. Please, create FF4.0 supported version!
(cry)